<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.PlanMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.Plan">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="type" property="type" />
        <result column="task_type_id" property="taskTypeId" />
        <result column="task_name" property="taskName" />
        <result column="package_status" property="packageStatus" />
        <result column="task_standard" property="taskStandard" />
        <result column="task_content" property="taskContent" />
        <result column="user_status" property="userStatus" />
        <result column="user_type" property="userType" />
        <result column="task_create_type" property="taskCreateType" />
        <result column="status" property="status" />
        <result column="is_cross" property="isCross" />
        <result column="must_status" property="mustStatus" />
        <result column="not_status" property="notStatus" />
        <result column="wage_id" property="wageId" />
        <result column="working_timing" property="workingTiming" />
        <result column="transition_timing" property="transitionTiming" />
        <result column="ready_timing" property="readyTiming" />
        <result column="redundance_timing" property="redundanceTiming" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="circle_status" property="circleStatus" />
        <result column="circle_type" property="circleType" />
        <result column="circle_no" property="circleNo" />
        <result column="action_time_type" property="actionTimeType" />
        <result column="action_start_time" property="actionStartTime" />
        <result column="action_end_time" property="actionEndTime" />
        <result column="eliminate_type" property="eliminateType" />
        <result column="eliminate_time" property="eliminateTime" />
        <result column="expire_type" property="expireType" />
        <result column="expire_timing" property="expireTiming" />
        <result column="action_count" property="actionCount" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="district_name" property="districtName" />
        <result column="property_name" property="propertyName" />
        <result column="agent_name" property="agentName" />
        <result column="point" property="point" />
        <result column="point_status" property="pointStatus" />
        <result column="start_status" property="startStatus" />
        <result column="pool_order" property="poolOrder" />
        <result column="group_order" property="groupOrder" />
        <result column="task_order" property="taskOrder" />
        <result column="wage_hour" property="wageHour" />
        <result column="notice_flag" property="noticeFlag" />
        <result column="task_flag" property="taskFlag" />
        <result column="clock_flag" property="clockFlag" />
        <result column="task_require" property="taskRequire" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, type, task_type_id, task_name, package_status, task_standard, task_content, user_status, user_type, task_create_type, status, is_cross, must_status, not_status, wage_id, working_timing, transition_timing, ready_timing, redundance_timing, start_time, end_time, circle_status, circle_type, circle_no, action_time_type, action_start_time, action_end_time, eliminate_type, eliminate_time, expire_type, expire_timing, action_count, district_id, property_id, agent_id, district_name, property_name, agent_name, point, point_status, start_status, pool_order, group_order, task_order, wage_hour, notice_flag, task_flag, clock_flag, task_require
    </sql>

</mapper>
